try a new github issue template
[pcsx_rearmed.git] / configure
CommitLineData
4132e8ca 1#!/bin/sh
2# some elements originated from qemu configure
3set -e
4
5TMPC="/tmp/pcsx-conf-${RANDOM}-$$-${RANDOM}.c"
6TMPO="/tmp/pcsx-conf-${RANDOM}-$$-${RANDOM}.o"
07c13dfd 7TMPB="/tmp/pcsx-conf-${RANDOM}-$$-${RANDOM}"
8trap "rm -f $TMPC $TMPO $TMPB" EXIT INT QUIT TERM
4132e8ca 9rm -f config.log
10
11compile_object()
12{
07c13dfd 13 c="$CC $CFLAGS -c $TMPC -o $TMPO $@"
14 echo $c >> config.log
15 $c >> config.log 2>&1
16}
17
18compile_binary()
19{
20 c="$CC $CFLAGS $TMPC -o $TMPB $LDFLAGS $MAIN_LDLIBS $@"
4132e8ca 21 echo $c >> config.log
22 $c >> config.log 2>&1
23}
24
25check_define()
26{
cc376814 27 $CC -E -dD $CFLAGS include/arm_features.h | grep -q "$1" || return 1
28 return 0
29}
30
31check_define_val()
32{
33 $CC -E -dD $CFLAGS include/arm_features.h | grep "$1" | awk '{print $3}'
4132e8ca 34 return 0
35}
36
37# setting options to "yes" or "no" will make that choice default,
38# "" means "autodetect".
39
38c2028e 40platform_list="generic pandora maemo caanoo libretro"
4132e8ca 41platform="generic"
0bfe8d59 42builtin_gpu_list="peops unai neon senquack"
61bc6d40 43builtin_gpu=""
b68bf5c2 44sound_driver_list="oss alsa pulseaudio sdl libretro"
07c13dfd 45sound_drivers=""
dd4d5a35 46plugins="plugins/spunull/spunull.so \
0bfe8d59 47plugins/dfxvideo/gpu_peops.so plugins/gpu_unai/gpu_unai.so plugins/gpu_senquack/gpu_senquack.so"
4132e8ca 48drc_cache_base="no"
00a212aa 49have_armv5=""
4132e8ca 50have_armv6=""
51have_armv7=""
52have_arm_neon=""
57467c77 53have_arm_neon_asm=""
4132e8ca 54have_tslib=""
5b9aa749 55have_gles=""
5514a050 56have_c64x_dsp=""
4132e8ca 57enable_dynarec="yes"
f89fa2d9 58need_sdl="no"
955f9af0 59need_xlib="no"
cc56203b 60need_libpicofe="yes"
61need_warm="no"
5b9aa749 62CFLAGS_GLES=""
63LDLIBS_GLES=""
4132e8ca 64# these are for known platforms
65optimize_cortexa8="no"
66optimize_arm926ej="no"
67
68# hardcoded stuff
69CC="${CC-${CROSS_COMPILE}gcc}"
ac6575cd 70CXX="${CXX-${CROSS_COMPILE}g++}"
4132e8ca 71AS="${AS-${CROSS_COMPILE}as}"
72AR="${AS-${CROSS_COMPILE}ar}"
9aff1963 73MAIN_LDLIBS="$LDLIBS -ldl -lm -lpthread"
4132e8ca 74config_mak="config.mak"
75
3d037671
PC
76SYSROOT="$(${CC} --print-sysroot)"
77[ "x${SDL_CONFIG}" = "x" ] && SDL_CONFIG="${SYSROOT}/usr/bin/sdl-config"
78
07c13dfd 79fail()
80{
81 echo "$@"
5d53bb85 82 if test -n "$DUMP_CONFIG_LOG"; then cat config.log; fi
07c13dfd 83 exit 1
84}
85
4132e8ca 86# call during arg parsing, so that cmd line can override platform defaults
87set_platform()
88{
89 platform=$1
90 case "$platform" in
91 generic)
92 ;;
93 pandora)
07c13dfd 94 sound_drivers="oss alsa"
4132e8ca 95 drc_cache_base="yes"
96 optimize_cortexa8="yes"
97 have_arm_neon="yes"
955f9af0 98 need_xlib="yes"
4132e8ca 99 ;;
100 maemo)
4132e8ca 101 drc_cache_base="yes"
102 optimize_cortexa8="yes"
103 have_arm_neon="yes"
104 ;;
105 caanoo)
07c13dfd 106 sound_drivers="oss"
4132e8ca 107 drc_cache_base="yes"
108 optimize_arm926ej="yes"
cc56203b 109 need_warm="yes"
4132e8ca 110 ;;
38c2028e 111 libretro)
07c13dfd 112 sound_drivers="libretro"
cc56203b 113 need_libpicofe="no"
38c2028e 114 ;;
4132e8ca 115 *)
07c13dfd 116 fail "unsupported platform: $platform"
4132e8ca 117 ;;
118 esac
119}
120
121for opt do
122 optarg=`expr "x$opt" : 'x[^=]*=\(.*\)'` || true
123 case "$opt" in
124 --help|-h) show_help="yes"
125 ;;
126 --platform=*) set_platform "$optarg"
127 ;;
61bc6d40 128 --gpu=*) builtin_gpu="$optarg"
129 ;;
07c13dfd 130 --sound-drivers=*) sound_drivers="$optarg"
4132e8ca 131 ;;
132 --enable-neon) have_arm_neon="yes"
133 ;;
134 --disable-neon) have_arm_neon="no"
135 ;;
136 --disable-dynarec) enable_dynarec="no"
137 ;;
138 *) echo "ERROR: unknown option $opt"; show_help="yes"
139 ;;
140 esac
141done
142
143if [ "$show_help" = "yes" ]; then
144 echo "options:"
145 echo " --help print this message"
146 echo " --platform=NAME target platform [$platform]"
147 echo " available: $platform_list"
61bc6d40 148 echo " --gpu=NAME builtin gpu plugin [guessed]"
149 echo " available: $builtin_gpu_list"
07c13dfd 150 echo " --sound-drivers=LIST sound output drivers [guessed]"
4132e8ca 151 echo " available: $sound_driver_list"
152 echo " --enable-neon"
153 echo " --disable-neon enable/disable ARM NEON optimizations [guessed]"
154 echo " --disable-dynarec disable dynamic recompiler"
155 echo " (dynarec is only available and enabled on ARM)"
156 echo "influential environment variables:"
ac6575cd 157 echo " CROSS_COMPILE CC CXX AS AR CFLAGS ASFLAGS LDFLAGS LDLIBS"
4132e8ca 158 exit 1
159fi
160
07c13dfd 161# validate selections
61bc6d40 162if [ "x$builtin_gpu" != "x" ]; then
07c13dfd 163 if ! echo $builtin_gpu_list | grep -q "\<$builtin_gpu\>"; then
164 fail "unsupported builtin gpu plugin: $builtin_gpu"
165 fi
61bc6d40 166fi
167
07c13dfd 168if [ "x$sound_drivers" != "x" ]; then
169 for d in $sound_drivers; do
170 if ! echo $sound_driver_list | grep -q "\<$d\>"; then
171 fail "unsupported sound driver: $sound_driver"
172 fi
173 done
174fi
4132e8ca 175
cc56203b 176if [ "$need_libpicofe" = "yes" ]; then
177 if ! test -f "frontend/libpicofe/README"; then
178 fail "libpicofe is missing, please run 'git submodule init && git submodule update'"
179 fi
180fi
181
182if [ "$need_warm" = "yes" ]; then
183 if ! test -f "frontend/warm/README"; then
184 fail "wARM is missing, please run 'git submodule init && git submodule update'"
185 fi
186fi
187
00a212aa 188# basic compiler test
189cat > $TMPC <<EOF
190#include <zlib.h>
191int main(void) { return 0; }
192EOF
193if ! compile_binary; then
0dc1b4a9 194 fail "compiler test failed, please check config.log"
00a212aa 195fi
196
4132e8ca 197if [ -z "$ARCH" ]; then
0dc1b4a9 198 ARCH=`$CC -dumpmachine | awk -F '-' '{print $1}'`
4132e8ca 199fi
200
0dc1b4a9 201case "$ARCH" in
202arm*)
203 # ARM stuff
204 ARCH="arm"
205
4132e8ca 206 if [ "$optimize_cortexa8" = "yes" ]; then
4132e8ca 207 CFLAGS="$CFLAGS -mcpu=cortex-a8 -mtune=cortex-a8"
208 ASFLAGS="$ASFLAGS -mcpu=cortex-a8"
209 fi
210 if [ "$optimize_arm926ej" = "yes" ]; then
211 CFLAGS="$CFLAGS -mcpu=arm926ej-s -mtune=arm926ej-s"
212 ASFLAGS="$ASFLAGS -mcpu=arm926ej-s -mfloat-abi=softfp"
213 fi
214
215 if [ "x$have_arm_neon" = "x" ]; then
57467c77 216 # detect NEON from user-supplied cflags to enable neon code
4132e8ca 217 have_arm_neon=`check_define __ARM_NEON__ && echo yes` || true
218 fi
4132e8ca 219 if [ "x$have_armv7" = "x" ]; then
00a212aa 220 if check_define HAVE_ARMV7; then
4132e8ca 221 have_armv7="yes"
00a212aa 222 have_armv6="yes"
223 have_armv5="yes"
4132e8ca 224 fi
225 fi
00a212aa 226 if [ "x$have_armv6" = "x" ]; then
227 if check_define HAVE_ARMV6; then
228 have_armv6="yes"
229 have_armv5="yes"
230 fi
231 fi
232 if [ "x$have_armv5" = "x" ]; then
233 have_armv5=`check_define HAVE_ARMV5 && echo yes` || true
234 fi
4132e8ca 235
61bc6d40 236 if [ "x$builtin_gpu" = "x" ]; then
237 if [ "$have_arm_neon" = "yes" ]; then
238 builtin_gpu="neon"
239 elif [ "$have_armv7" != "yes" ]; then
240 # pre-ARMv7 hardware is usually not fast enough for peops
241 builtin_gpu="unai"
242 else
243 builtin_gpu="peops"
244 fi
245 fi
246
e795af9e 247 # automatically set mfpu and mfloat-abi if they are not set
4132e8ca 248 if [ "$have_arm_neon" = "yes" ]; then
40cf6975 249 fpu="neon"
4132e8ca 250 elif [ "$have_armv6" = "yes" ]; then
40cf6975 251 fpu="vfp"
4132e8ca 252 fi
40cf6975 253 if [ "x$fpu" != "x" ]; then
254 echo "$CFLAGS" | grep -q -- '-mfpu=' || CFLAGS="$CFLAGS -mfpu=$fpu"
255 echo "$ASFLAGS" | grep -q -- '-mfpu=' || ASFLAGS="$ASFLAGS -mfpu=$fpu"
256 floatabi_set_by_gcc=`$CC -v 2>&1 | grep -q -- --with-float= && echo yes` || true
257 if [ "$floatabi_set_by_gcc" != "yes" ]; then
258 echo "$CFLAGS" | grep -q -- '-mfloat-abi=' || CFLAGS="$CFLAGS -mfloat-abi=softfp"
259 echo "$ASFLAGS" | grep -q -- '-mfloat-abi=' || ASFLAGS="$ASFLAGS -mfloat-abi=softfp"
260 fi
4132e8ca 261 fi
262
9f704290 263 # must disable thumb as recompiler can't handle it
96751f36 264 if check_define __thumb__; then
9f704290 265 CFLAGS="$CFLAGS -marm"
96751f36 266 fi
00a212aa 267
268 # warn about common mistakes
269 if [ "$have_armv5" != "yes" ]; then
270 if ! echo "$CFLAGS" | grep -q -- '-mcpu=\|-march='; then
271 echo "Warning: compiling for ARMv4, is that really what you want?"
272 echo "You probably should specify -mcpu= or -march= like this:"
273 echo " CFLAGS=-march=armv6 ./configure ..."
274 fi
275 fi
276 if [ "$have_arm_neon" = "yes" -a "$have_armv7" != "yes" ]; then
277 echo "Warning: compiling for NEON, but not ARMv7?"
278 echo "You probably want to specify -mcpu= or -march= like this:"
279 echo " CFLAGS=-march=armv7-a ./configure ..."
280 fi
57467c77 281 have_arm_neon_asm=$have_arm_neon
0dc1b4a9 282 ;;
55a2d0dc 283aarch64)
57467c77 284 have_arm_neon="yes"
285 have_arm_neon_asm="no"
286 if [ "x$builtin_gpu" = "x" ]; then
287 builtin_gpu="neon"
288 fi
55a2d0dc 289 ;;
af486d6e 290x86_64)
291 enable_dynarec="no"
292 if [ "x$builtin_gpu" = "x" ]; then
293 builtin_gpu="neon"
294 fi
295 ;;
0dc1b4a9 296*)
4132e8ca 297 # dynarec only available on ARM
298 enable_dynarec="no"
0dc1b4a9 299 ;;
300esac
4132e8ca 301
61bc6d40 302if [ "x$builtin_gpu" = "x" ]; then
303 builtin_gpu="peops"
304fi
305
4132e8ca 306# supposedly we can avoid -fPIC on armv5 for slightly better performace?
307if [ "$ARCH" != "arm" -o "$have_armv6" = "yes" ]; then
308 PLUGIN_CFLAGS="$PLUGIN_CFLAGS -fPIC"
309fi
310
38c2028e 311case "$platform" in
312generic)
f89fa2d9 313 need_sdl="yes"
38c2028e 314 ;;
315maemo)
7010034e 316 CFLAGS="$CFLAGS -DMAEMO -DMAEMO_CHANGES"
38c2028e 317 ;;
318libretro)
319 CFLAGS="$CFLAGS -fPIC"
22fa3f2b 320 MAIN_LDFLAGS="$MAIN_LDFLAGS -shared -Wl,--no-undefined"
38c2028e 321 ;;
322esac
4132e8ca 323
07c13dfd 324# header/library presence tests
325check_zlib()
326{
327 cat > $TMPC <<EOF
328 #include <zlib.h>
791f6e3e 329 int main(void) { uncompress(0, 0, 0, 0); }
07c13dfd 330EOF
331 compile_binary
332}
333
07c13dfd 334check_libpng()
335{
336 cat > $TMPC <<EOF
337 #include <png.h>
338 void main() { png_init_io(0, 0); }
339EOF
340 compile_binary
341}
342
343check_oss()
344{
345 cat > $TMPC <<EOF
346 #include <sys/soundcard.h>
347 #include <sys/ioctl.h>
348 void main() { int a=0; ioctl(0, SNDCTL_DSP_SETFMT, &a); }
349EOF
350 compile_binary
351}
352
353check_alsa()
354{
355 cat > $TMPC <<EOF
356 #include <alsa/asoundlib.h>
357 void main() { snd_pcm_open(0, 0, 0, 0); }
358EOF
359 compile_binary "$@"
360}
361
b68bf5c2 362check_pulseaudio()
363{
364 cat > $TMPC <<EOF
365 #include <pulse/pulseaudio.h>
366 void main() { pa_threaded_mainloop_new(); }
367EOF
368 compile_binary "$@"
369}
370
07c13dfd 371check_sdl()
372{
373 cat > $TMPC <<EOF
374 #include <SDL.h>
375 void main() { SDL_OpenAudio(0, 0); }
376EOF
377 compile_binary "$@"
378}
379
955f9af0 380check_xlib_headers()
381{
382 cat > $TMPC <<EOF
383 #include <X11/Xlib.h>
384 void *f() { return XOpenDisplay(0); }
385EOF
386 compile_object "$@"
387}
388
5514a050 389# see if we have c64_tools for TI C64x DSP
390check_c64_tools()
391{
392 cat > $TMPC <<EOF
393 #include <inc_libc64_mini.h>
394 int f() { return dsp_open(); }
395EOF
396 compile_object "$@"
397}
398
f89fa2d9 399MAIN_LDLIBS="$MAIN_LDLIBS -lz"
9f704290 400check_zlib || fail "please install zlib (libz-dev)"
f89fa2d9 401
f89fa2d9 402MAIN_LDLIBS="-lpng $MAIN_LDLIBS"
9f704290 403check_libpng || fail "please install libpng (libpng-dev)"
07c13dfd 404
405# find what audio support we can compile
406if [ "x$sound_drivers" = "x" ]; then
407 if check_oss; then sound_drivers="$sound_drivers oss"; fi
f89fa2d9 408 if check_alsa -lasound; then
409 sound_drivers="$sound_drivers alsa"
410 MAIN_LDLIBS="-lasound $MAIN_LDLIBS"
411 fi
b68bf5c2 412 if check_pulseaudio -lpulse; then
413 sound_drivers="$sound_drivers pulseaudio"
414 MAIN_LDLIBS="-lpulse $MAIN_LDLIBS"
415 fi
3d037671 416 if [ "$need_sdl" = "yes" ] || check_sdl `${SDL_CONFIG} --cflags --libs`; then
f89fa2d9 417 sound_drivers="$sound_drivers sdl"
418 need_sdl="yes"
419 fi
420else
421 if echo $sound_drivers | grep -q "\<oss\>"; then
422 check_oss || fail "oss support is missing"
423 fi
424 if echo $sound_drivers | grep -q "\<alsa\>"; then
425 MAIN_LDLIBS="-lasound $MAIN_LDLIBS"
426 check_alsa || fail "please install libasound2-dev"
427 fi
b68bf5c2 428 if echo $sound_drivers | grep -q "\<pulseaudio\>"; then
429 MAIN_LDLIBS="-lpulse $MAIN_LDLIBS"
430 check_pulseaudio || fail "pulseaudio support is missing"
431 fi
07c13dfd 432fi
433
9f704290 434if [ "$need_sdl" = "yes" ]; then
3d037671 435 which ${SDL_CONFIG} > /dev/null || \
9f704290 436 fail "sdl-config is missing; please install libsdl (libsdl1.2-dev)"
3d037671
PC
437 CFLAGS="$CFLAGS `${SDL_CONFIG} --cflags`"
438 MAIN_LDLIBS="`${SDL_CONFIG} --libs` $MAIN_LDLIBS"
9f704290 439 check_sdl || fail "please install libsdl (libsdl1.2-dev)"
07c13dfd 440fi
441
4132e8ca 442# check for tslib (only headers needed)
443if [ "x$have_tslib" = "x" ]; then
444 cat > $TMPC <<EOF
445 #include <tslib.h>
446 void test(struct ts_sample sample) {}
447EOF
448 if compile_object; then
449 have_tslib="yes"
450 else
451 have_tslib="no"
452 fi
453fi
454
5b9aa749 455# check for VideoCore stuff for Raspberry Pi
ad6150e0 456if [ -d /opt/vc/include -a -d /opt/vc/lib -a "$VIDEOCORE" != "no" ]; then
237d1f6f 457 CFLAGS_GLES="$CFLAGS_GLES -I/opt/vc/include -I/opt/vc/include/interface/vcos/pthreads -I/opt/vc/include/interface/vmcs_host/linux"
5b9aa749 458 LDLIBS_GLES="$LDLIBS_GLES -L/opt/vc/lib"
cbcadc5f 459 if [ -f /opt/vc/lib/libbcm_host.so ]; then
460 LDLIBS_GLES="$LDLIBS_GLES -lbcm_host"
461 fi
955f9af0 462 need_xlib="yes"
ad6150e0 463 VIDEOCORE="yes"
5b9aa749 464fi
465
dd4d5a35 466# check for GLES headers
467cat > $TMPC <<EOF
468#include <GLES/gl.h>
dd4d5a35 469#include <EGL/egl.h>
5b9aa749 470int main(void) {
471 return (int)eglGetDisplay( (EGLNativeDisplayType)0 );
dd4d5a35 472}
473EOF
ad6150e0
CG
474if [ "$VIDEOCORE" = "yes" ] && compile_binary $CFLAGS_GLES -lbrcmEGL -lbrcmGLESv2 $LDLIBS_GLES; then
475 have_gles="yes"
476 LDLIBS_GLES="-lbrcmEGL -lbrcmGLESv2 $LDLIBS_GLES"
477elif compile_binary $CFLAGS_GLES -lEGL -lGLES_CM $LDLIBS_GLES; then
5b9aa749 478 have_gles="yes"
479 LDLIBS_GLES="-lEGL -lGLES_CM $LDLIBS_GLES"
480elif compile_binary $CFLAGS_GLES -lEGL -lGLESv1_CM $LDLIBS_GLES; then
481 have_gles="yes"
482 LDLIBS_GLES="-lEGL -lGLESv1_CM $LDLIBS_GLES"
dd4d5a35 483fi
484
5514a050 485if check_c64_tools; then
486 have_c64x_dsp="yes"
487fi
488
5b9aa749 489if [ "$have_gles" = "yes" ]; then
490 plugins="$plugins plugins/gpu-gles/gpu_gles.so"
491fi
61bc6d40 492if [ "$have_arm_neon" = "yes" -a "$builtin_gpu" != "neon" ]; then
493 plugins="$plugins plugins/gpu_neon/gpu_neon.so"
494fi
495
955f9af0 496# check for xlib (only headers needed)
497if [ "x$need_xlib" = "xyes" ]; then
498 check_xlib_headers || fail "please install libx11-dev"
499fi
500
cc376814 501sizeof_long=`check_define_val __SIZEOF_LONG__`
502if [ "x$sizeof_long" = "x4" ]; then
503 CFLAGS="$CFLAGS -D_FILE_OFFSET_BITS=64"
504fi
505
9f704290 506cat > $TMPC <<EOF
507void test(void *f, void *d) { fread(d, 1, 1, f); }
508EOF
509if compile_object -Wno-unused-result; then
510 CFLAGS="$CFLAGS -Wno-unused-result"
511fi
512
dd4d5a35 513# short plugin list for display
514for p in $plugins; do
515 p1=`basename $p`
516 plugins_short="$p1 $plugins_short"
517done
518
4132e8ca 519# set things that failed to autodetect to "no"
520test "x$have_armv6" != "x" || have_armv6="no"
521test "x$have_armv7" != "x" || have_armv7="no"
522test "x$have_arm_neon" != "x" || have_arm_neon="no"
57467c77 523test "x$have_arm_neon_asm" != "x" || have_arm_neon_asm="no"
00a212aa 524test "x$have_gles" != "x" || have_gles="no"
5514a050 525test "x$have_c64x_dsp" != "x" || have_c64x_dsp="no"
4132e8ca 526
527echo "architecture $ARCH"
528echo "platform $platform"
61bc6d40 529echo "built-in GPU $builtin_gpu"
07c13dfd 530echo "sound drivers $sound_drivers"
dd4d5a35 531echo "plugins $plugins_short"
4132e8ca 532echo "C compiler $CC"
533echo "C compiler flags $CFLAGS"
07c13dfd 534echo "libraries $MAIN_LDLIBS"
22fa3f2b 535echo "linker flags $LDFLAGS$MAIN_LDFLAGS"
4132e8ca 536echo "enable dynarec $enable_dynarec"
57467c77 537if [ "$ARCH" = "arm" -o "$ARCH" = "aarch64" ]; then
538 echo "enable ARM NEON $have_arm_neon"
539fi
5514a050 540if [ "$ARCH" = "arm" ]; then
541 echo "ARMv7 optimizations $have_armv7"
5514a050 542 echo "TI C64x DSP support $have_c64x_dsp"
543fi
4132e8ca 544echo "tslib support $have_tslib"
2c616080 545if [ "$platform" = "generic" ]; then
546 echo "OpenGL ES output $have_gles"
547fi
4132e8ca 548
549echo "# Automatically generated by configure" > $config_mak
550printf "# Configured with:" >> $config_mak
551printf " '%s'" "$0" "$@" >> $config_mak
552echo >> $config_mak
553
554echo "CC = $CC" >> $config_mak
ac6575cd 555echo "CXX = $CXX" >> $config_mak
4132e8ca 556echo "AS = $AS" >> $config_mak
557echo "CFLAGS += $CFLAGS" >> $config_mak
558echo "ASFLAGS += $ASFLAGS" >> $config_mak
559echo "LDFLAGS += $LDFLAGS" >> $config_mak
22fa3f2b 560echo "MAIN_LDFLAGS += $MAIN_LDFLAGS" >> $config_mak
07c13dfd 561echo "MAIN_LDLIBS += $MAIN_LDLIBS" >> $config_mak
4132e8ca 562echo "PLUGIN_CFLAGS += $PLUGIN_CFLAGS" >> $config_mak
563echo >> $config_mak
564
38c2028e 565if [ "$platform" = "libretro" ]; then
566 echo "TARGET = libretro.so" >> $config_mak
567fi
4132e8ca 568echo "ARCH = $ARCH" >> $config_mak
569echo "PLATFORM = $platform" >> $config_mak
61bc6d40 570echo "BUILTIN_GPU = $builtin_gpu" >> $config_mak
07c13dfd 571echo "SOUND_DRIVERS = $sound_drivers" >> $config_mak
ddd99692 572echo "PLUGINS = $plugins" >> $config_mak
4132e8ca 573if [ "$have_arm_neon" = "yes" ]; then
574 echo "HAVE_NEON = 1" >> $config_mak
575fi
57467c77 576if [ "$have_arm_neon_asm" = "yes" ]; then
577 echo "HAVE_NEON_ASM = 1" >> $config_mak
578fi
4132e8ca 579if [ "$have_tslib" = "yes" ]; then
580 echo "HAVE_TSLIB = 1" >> $config_mak
581fi
5b9aa749 582if [ "$have_gles" = "yes" ]; then
583 echo "HAVE_GLES = 1" >> $config_mak
584 echo "CFLAGS_GLES = $CFLAGS_GLES" >> $config_mak
585 echo "LDLIBS_GLES = $LDLIBS_GLES" >> $config_mak
586fi
4132e8ca 587if [ "$enable_dynarec" = "yes" ]; then
588 echo "USE_DYNAREC = 1" >> $config_mak
589fi
590if [ "$drc_cache_base" = "yes" ]; then
2a014d73 591 echo "BASE_ADDR_DYNAMIC = 1" >> $config_mak
4132e8ca 592fi
5514a050 593if [ "$have_c64x_dsp" = "yes" ]; then
594 echo "HAVE_C64_TOOLS = 1" >> $config_mak
595fi
4132e8ca 596
2e6189bc 597# use pandora's skin (for now)
598test -e skin || ln -s frontend/pandora/skin skin
599
4132e8ca 600# vim:shiftwidth=2:expandtab